Bug 242006 - graphics/gscan2pdf: update to 2.6.1 and remove dependency on sane-frontends
Summary: graphics/gscan2pdf: update to 2.6.1 and remove dependency on sane-frontends
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo Egea Gondolfo
URL: https://sourceforge.net/projects/gsca...
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2019-11-16 15:25 UTC by Christoph Moench-Tegeder
Modified: 2019-11-24 22:14 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (danilo)


Attachments
update gscan2pdf to 2.6.1 (2.25 KB, patch)
2019-11-16 15:25 UTC, Christoph Moench-Tegeder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2019-11-16 15:25:08 UTC
Created attachment 209188 [details]
update gscan2pdf to 2.6.1

attached patch updates gscan2pdf to version 2.6.1 - "works for me" and passes poudriere.
While here:
- remove dependency on scanadf from sane-frontends. sane-frontends has seen no release for 14 years (see https://gitlab.com/sane-project/frontends/-/releases ) and is only kept alive by special attention (see recent discussion on developers@). gscan2pdf works just fine with p5-Image-Sane in my setup.
- add dependency on x11-toolkits/p5-Gtk2-Ex-PodViewer - as per the INSTALL file, "The help will require Gtk2::Ex::PodViewer"
Comment 1 commit-hook freebsd_committer 2019-11-21 09:00:50 UTC
A commit references this bug:

Author: joneum
Date: Thu Nov 21 08:59:51 UTC 2019
New revision: 518084
URL: https://svnweb.freebsd.org/changeset/ports/518084

Log:
  Update to 3.9.0

  PR:		242006
  Submitted by:	mjl@luckie.org.nz (maintainer)
  Sponsored by:	Netzkommune GmbH

Changes:
  head/dns/ddclient/Makefile
  head/dns/ddclient/distinfo
Comment 2 Jochen Neumeister freebsd_committer 2019-11-21 09:04:24 UTC
Sorry for the mistake.
It should be in PR 242066.
Comment 3 commit-hook freebsd_committer 2019-11-24 22:13:52 UTC
A commit references this bug:

Author: danilo
Date: Sun Nov 24 22:13:00 UTC 2019
New revision: 518366
URL: https://svnweb.freebsd.org/changeset/ports/518366

Log:
  - Update to 2.6.1
  - Deprecate sane-frontends (no new releases since 2005) in favor of p5-Image-Sane

  PR:		242006
  Submitted by:	cmt

Changes:
  head/graphics/gscan2pdf/Makefile
  head/graphics/gscan2pdf/distinfo
  head/graphics/gscan2pdf/pkg-plist
Comment 4 Danilo Egea Gondolfo freebsd_committer 2019-11-24 22:14:13 UTC
Committed. Thanks!